%global debug_package %{nil}

Name:       pack
Version:    0.36.4
Release:    1%{?dist}
Summary:    Client tool for maintaining buildpacks
License:    Apache-2.0
URL:        https://buildpacks.io/
Source0:    https://github.com/buildpacks/pack/archive/refs/tags/v%{version}.tar.gz
Source1:    %{name}-%{version}-vendored-deps.tar.gz
Source2:    bundled.inc

BuildRequires:  golang >= 1.23
%include        %SOURCE2

%description
Pack is a tool maintained by the Cloud Native Buildpacks project to
support the use of buildpacks. It enables building applications using
buildpacks, rebasing application images created with buildpacks, and
creating various components used within the buildpack ecosystem.


%prep
%autosetup
tar -xf %SOURCE1 --strip-components=1


%build
export CGO_ENABLED=0
go build -trimpath -ldflags "-s -w -X github.com/buildpacks/pack.Version=%{version}" -mod=vendor -o ./buildpack ./cmd/pack


%install
install -D -m 0755 buildpack %{buildroot}%{_bindir}/buildpack
ln -sv buildpack %{buildroot}%{_bindir}/pack

%files
%doc README.md
%license LICENSE
%{_bindir}/buildpack
%{_bindir}/pack


%changelog
* Sun Jan 19 2025 Mike Rochefort <mroche@omenos.dev> - 0.36.4-1
- Update to v0.36.4

* Sun Aug 25 2024 Mike Rochefort <mroche@omenos.dev> - 0.35.1-1
- Update to v0.35.1

* Wed Jun 05 2024 Mike Rochefort <mroche@omenos.dev> - 0.34.0-1
- Update to v0.34.0

* Wed Feb 21 2024 Mike Rochefort <mroche@omenos.dev> - 0.33.2-1
- Update to v0.33.2

* Sat Feb 10 2024 Mike Rochefort <mroche@omenos.dev> - 0.33.1-1
- Update to v0.33.1

* Mon Nov 27 2023 Mike Rochefort <mroche@omenos.dev> - 0.32.1-1
- Update to v0.32.1

* Sat Oct 14 2023 Mike Rochefort <mroche@omenos.dev> - 0.31.0-1
- Update to v0.31.0

* Fri Aug 18 2023 Mike Rochefort <mroche@omenos.dev> - 0.30.0-1
- Update to v0.30.0

* Mon Mar 27 2023 Mike Rochefort <mroche@omenos.dev> - 0.29.0-1
- Update to v0.29.0

* Tue Dec 06 2022 Mike Rochefort <mroche@omenos.dev> - 0.28.0-1
- Update to v0.28.0

* Thu Jun 23 2022 Mike Rochefort <mroche@redhat.com> - 0.27.0-1
- Update to v0.27.0

* Sat May 07 2022 Mike Rochefort <mroche@redhat.com> - 0.26.0-1
- Update to v0.26.0

* Fri Apr 22 2022 Mike Rochefort <mroche@redhat.com> - 0.25.0-1
- Update to v0.25.0

* Wed Apr 06 2022 Mike Rochefort <mroche@redhat.com> - 0.24.1-1
- Update to v0.24.1

* Sun Feb 13 2022 Mike Rochefort <mroche@redhat.com> - 0.24.0-1
- Build v0.24.0
